Application package does not compile

Issues related to applications and software problems and general support
Post Reply
User avatar
kerogaz
Posts: 36
Joined: 2019/11/28 09:09:01

Application package does not compile

Post by kerogaz » 2019/11/28 09:16:06

All the necessary libraries are installed. On CentOS 6 and 7, this package compiles

Code: Select all

............
checking for SSL_accept in -lssl... yes
checking for BN_init in -lcrypto... no
configure: error: TORQUE needs lib crypto (often openssl-devel) in order to build

Code: Select all

[root@node4 grid]# rpm -q openssl-devel
openssl-devel-1.1.1-8.el8.x86_64

BShT
Posts: 116
Joined: 2019/10/09 12:31:40

Re: Application package does not compile

Post by BShT » 2019/11/28 12:22:50

try dnf install compat-openssl10-devel

User avatar
kerogaz
Posts: 36
Joined: 2019/11/28 09:09:01

Re: Application package does not compile

Post by kerogaz » 2019/11/28 15:48:59

This package is only at Fedora 31 which also cannot be installed - rpmlib is absent

Code: Select all

rpm -i compat-openssl10-devel-1.0.2o-8.fc31.x86_64.rpm 
warning: compat-openssl10-devel-1.0.2o-8.fc31.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID 3c3359c4: NOKEY
error: Failed dependencies:
	compat-openssl10(x86-64) = 1:1.0.2o-8.fc31 is needed by compat-openssl10-devel-1:1.0.2o-8.fc31.x86_64
	rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by compat-openssl10-devel-1:1.0.2o-8.fc31.x86_64


User avatar
kerogaz
Posts: 36
Joined: 2019/11/28 09:09:01

Re: Application package does not compile

Post by kerogaz » 2019/11/28 16:20:08

And how to compile the program in CentOS 8 ?

BShT
Posts: 116
Joined: 2019/10/09 12:31:40

Re: Application package does not compile

Post by BShT » 2019/11/28 16:25:52

sometimes it is not possible to use old code, you have to upgrade it to your new environment

you cant do a dirty cross compiling and try to run it on 8, if you don´t have any other choice...

BShT
Posts: 116
Joined: 2019/10/09 12:31:40

Re: Application package does not compile

Post by BShT » 2019/11/28 16:28:40

you cant try to compile without openssl support...

User avatar
kerogaz
Posts: 36
Joined: 2019/11/28 09:09:01

Re: Application package does not compile

Post by kerogaz » 2019/11/28 16:35:25

BShT wrote:
2019/11/28 16:28:40
you cant try to compile without openssl support...
I tried. Does not help. Same problem

BShT
Posts: 116
Joined: 2019/10/09 12:31:40

Re: Application package does not compile

Post by BShT » 2019/11/28 16:40:21

what are you trying to compile?

User avatar
kerogaz
Posts: 36
Joined: 2019/11/28 09:09:01

Re: Application package does not compile

Post by kerogaz » 2019/11/29 06:00:56

torque- 4.2.4.1.tar.gz on the cluster's node since on the cluster's server is version 4.2.4.1 installed from the same tarball (CentOS 6)

Post Reply

Return to “CentOS 8 - General Support”